com.virtual.tour.road.com.virtual.tour.road.model

## Class ReproducirImagenes

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.ReproducirImagenes

-     public class ReproducirImagenes
      extends java.lang.Object

  Created by Carolina Bonnin on 29/04/2015. Clase para simular el video con las imagenes de Street View y mostrarlas dentro del ImageView

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<android.graphics.Bitmap>` | `fotos`
    `(package private) android.os.Handler` | `handler`
    `private android.graphics.Bitmap` | `imagenActual`
    `private android.widget.ImageView` | `imageView`
    `private int` | `indexActual`
    `private java.util.Timer` | `timer`
    `private java.util.TimerTask` | `timerTask`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReproducirImagenes(android.widget.ImageView iV, java.util.ArrayList<android.graphics.Bitmap> f)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<android.graphics.Bitmap>` | `getFotos()` Getter del array de fotos
    `android.widget.ImageView` | `getImageView()` Getter image view donde se muestran las imagenes
    `void` | `initializeTimerTask()`
    `void` | `mostrarImagenes()` Metodo para mostrar las imagenes en el ImageView
    `void` | `setFotos(java.util.ArrayList<android.graphics.Bitmap> f)` Setter del array de fotos
    `void` | `setImageView(android.widget.ImageView i)` Setter del image view donde mostrar las imagenes
    `void` | `startTimer()` Inicilizacion del timer
    `void` | `stopTimer()` Metodo para parar el timer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fotos

          private java.util.ArrayList<android.graphics.Bitmap> fotos

    - #### handler

          final android.os.Handler handler

    - #### imagenActual

          private android.graphics.Bitmap imagenActual

    - #### imageView

          private android.widget.ImageView imageView

    - #### indexActual

          private int indexActual

    - #### timer

          private java.util.Timer timer

    - #### timerTask

          private java.util.TimerTask timerTask

  - ### Constructor Detail

    - #### ReproducirImagenes

          public ReproducirImagenes(android.widget.ImageView iV,
                                    java.util.ArrayList<android.graphics.Bitmap> f)

      Constructor
      Parameters:
        `iV` - imageView donde reproducir las imagenes
        `f` - listado de fotografias

  - ### Method Detail

    - #### getFotos

          public java.util.ArrayList<android.graphics.Bitmap> getFotos()

      Getter del array de fotos
      Returns:
        array de fotos

    - #### getImageView

          public android.widget.ImageView getImageView()

      Getter image view donde se muestran las imagenes
      Returns:
        image view

    - #### initializeTimerTask

          public void initializeTimerTask()

    - #### mostrarImagenes

          public void mostrarImagenes()

      Metodo para mostrar las imagenes en el ImageView

    - #### setFotos

          public void setFotos(java.util.ArrayList<android.graphics.Bitmap> f)

      Setter del array de fotos
      Parameters:
        `f` - array de fotos

    - #### setImageView

          public void setImageView(android.widget.ImageView i)

      Setter del image view donde mostrar las imagenes
      Parameters:
        `i` - imageView

    - #### startTimer

          public void startTimer()

      Inicilizacion del timer

    - #### stopTimer

          public void stopTimer()

      Metodo para parar el timer